# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "pumpfun-cpi"
version = "1.0.0"
authors = ["Rapheal Bamidele <nhuxhr@gmail.com>"]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Autogenerated CPI client for the Pump.fun Solana program."
readme = "README.md"
keywords = [
    "solana",
    "memecoins",
    "pumpfun",
    "cpi",
]
license = "Apache-2.0"
repository = "https://github.com/nhuxhr/pumpfun-rs"

[package.metadata.workspaces]
independent = true

[lib]
name = "pumpfun_cpi"
path = "src/lib.rs"

[dependencies.anchor-gen]
version = "0.3.1"

[dependencies.anchor-lang]
version = "0.30.1"

[features]
cpi = ["no-entrypoint"]
default = ["cpi"]
no-entrypoint = []
no-idl = []
no-log-ix-name = []
